## MMCellInfoNr5g MMCellInfoNr5g — Helper object to report 5GNR cell info |

## Functions

const gchar * | mm_cell_info_nr5g_get_operator_id ()
const gchar * | mm_cell_info_nr5g_get_tac ()
const gchar * | mm_cell_info_nr5g_get_ci ()
const gchar * | mm_cell_info_nr5g_get_physical_ci ()
guint | mm_cell_info_nr5g_get_nrarfcn ()
gdouble | mm_cell_info_nr5g_get_rsrp ()
gdouble | mm_cell_info_nr5g_get_rsrq ()
gdouble | mm_cell_info_nr5g_get_sinr ()
guint | mm_cell_info_nr5g_get_timing_advance ()

## Types and Values

struct | MMCellInfoNr5g

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoNr5g

## Description

The MMCellInfoNr5g is an object used to report 5GNR cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_nr5g_get_operator_id ()

    const gchar *
    mm_cell_info_nr5g_get_operator_id (MMCellInfoNr5g *self);

Get the PLMN MCC/MNC.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_nr5g_get_tac ()

    const gchar *
    mm_cell_info_nr5g_get_tac (MMCellInfoNr5g *self);

Get the two- or three- byte Tracking Area Code of the base station.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_nr5g_get_ci ()

    const gchar *
    mm_cell_info_nr5g_get_ci (MMCellInfoNr5g *self);

Get the two- or four-byte Cell Identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_nr5g_get_physical_ci ()

    const gchar *
    mm_cell_info_nr5g_get_physical_ci (MMCellInfoNr5g *self);

Get the physical cell identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_nr5g_get_nrarfcn ()

    guint
    mm_cell_info_nr5g_get_nrarfcn (MMCellInfoNr5g *self);

Get the NR absolute RF channel number.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the NRARFCN, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_nr5g_get_rsrp ()

    gdouble
    mm_cell_info_nr5g_get_rsrp (MMCellInfoNr5g *self);

Get the average reference signal received power in dBm.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the RSRP, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_nr5g_get_rsrq ()

    gdouble
    mm_cell_info_nr5g_get_rsrq (MMCellInfoNr5g *self);

Get the average reference signal received quality in dB.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the RSRQ, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_nr5g_get_sinr ()

    gdouble
    mm_cell_info_nr5g_get_sinr (MMCellInfoNr5g *self);

Get the signal to interference and noise ratio.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the SINR, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_nr5g_get_timing_advance ()

    guint
    mm_cell_info_nr5g_get_timing_advance (MMCellInfoNr5g *self);

Get the timing advance.

#### Parameters

self | a MMCellInfoNr5g. |

#### Returns

the timing advance, or `G_MAXUINT` if not available.

Since: 1.20

## Types and Values

### struct MMCellInfoNr5g

    struct MMCellInfoNr5g;

The MMCellInfoNr5g structure contains private data and should only be accessed using the provided API.